mail::ACCOUNT::getFolderFromString
Prev | mail::ACCOUNT Synchronous API reference | Next

## Name

mail::ACCOUNT::getFolderFromString — Restore a folder object

## Synopsis

#include <libmail/sync.H>
mail::ACCOUNT *mail;
mail::folder *folder;
std::string savedFolder=folder->toString();
...

`mail::folder *f=mail->fsfuncgetFolderFromString(` | std::string savedFolder`)`;

## USAGE

This function is the mail::ACCOUNT equivalent of mail::account::folderFromString(3x). See the description of this function for more information.

## RETURN CODES AND CALLBACKS

This function returns a NULL pointer if it cannot allocate memory for the new mail::folder object.

### Note

mail::folders are linked to their corresponding mail::accounts. A mail::folder created by one mail::account may not be used with a different mail::folder. All mail::folders created by a mail::account are invalidated when this mail::account object is destroyed. Note that the mail::folder objects are not automatically destroyed; the application is still responsible for destroying any remaining mail::folders, after their a mail::account is destroyed.

## SEE ALSO

mail::account::folderFromString(3x).

Prev | Up | Next
mail::ACCOUNT::getFolderFromPath | Home | ToC | mail::ACCOUNT::getFolderKeywordInfo